This page was not yet optimized for use on mobile devices.
Trellix FIPS Provider
Certificate details
| Certificate ID | #4492 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 27.04.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | No assurance of the minimum strength of generated keys. |
| Exceptions |
|
| Description | The Trellix FIPS Provider is a software library providing a C-language application program interface (API) for use by applications using OpenSSL that require cryptographic functionality. |
| Tested configurations |
|
| Vendor | Trellix http://www.trellix.com |
| Lab | Acumen Security |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES128, AES192, AES256, AES-128, AES-192, AES-256, Triple-DES, TDES, TDEA, HMAC, HMAC-SHA-256, KMAC, CMACAsymmetric Algorithms
RSA-OAEP, ECDH, ECDSA, EdDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-2, SHA-3, SHA-3-224, SHA3-224, SHA-3-256, Keccak, PBKDF2, PBKDFSchemes
Key AgreementProtocols
SSHv2, TLS 1.2, TLS 1.3, TLS v1.3, TLS, TLS v1.2Randomness
DRBGLibraries
OpenSSLElliptic Curves
P-224, P-192, P-256, K-233, B-233, K-163, B-163, Ed25519, Ed448Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSJavaCard API constants
X25519, X448Vendor
Microsoft, Microsoft CorporationSecurity level
Level 1Side-channel analysis
side-channel, timing attacksStandards
FIPS 140-2, FIPS 140, FIPS 197, FIPS 186-4, FIPS 202, FIPS 180-4, FIPS 198-1, SP 800-135, SP 800-38A, SP 800-38B, SP 800-38C, SP 800-38D, SP 800-38F, SP 800-38E, SP 800-132, SP 800-108, SP 800-185, SP 800-90A, SP 800-90, NIST SP 800-133, NIST SP 800-38D, PKCS 1, PKCS#1, RFC 8446, RFC 5288, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4492,
"dgst": "cb850da6bf12d5c4",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"RSA#A1938",
"KMAC#A1938",
"KAS-SSC#A1938",
"PBKDF#A1938",
"SHA-3#A1938",
"KBKDF#A1938",
"Triple-DES#A1938",
"KTS-RSA#A1938",
"KTS#A1938",
"#A1938",
"DSA#A1938",
"SHS#A1938",
"CVL#A1938",
"AES#A1938",
"DRBG#A1938",
"ECDSA#A1938",
"KDA#A1938",
"HMAC#A1938",
"KAS-RSA-SSC#A1938"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 40,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDH": {
"ECDH": 4
},
"ECDSA": {
"ECDSA": 17
},
"EdDSA": {
"EdDSA": 1
}
},
"FF": {
"DH": {
"DH": 16,
"Diffie-Hellman": 3
},
"DSA": {
"DSA": 18
}
},
"RSA": {
"RSA-OAEP": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 4
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 4
},
"GCM": {
"GCM": 9
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 7
}
},
"crypto_protocol": {
"SSH": {
"SSHv2": 4
},
"TLS": {
"TLS": {
"TLS": 4,
"TLS 1.2": 4,
"TLS 1.3": 4,
"TLS v1.2": 1,
"TLS v1.3": 3
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 7
}
},
"device_model": {},
"ecc_curve": {
"Edwards": {
"Ed25519": 2,
"Ed448": 2
},
"NIST": {
"B-163": 3,
"B-233": 5,
"K-163": 3,
"K-233": 7,
"P-192": 6,
"P-224": 18,
"P-256": 2
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"# A1938": 1,
"AES 128/192/256": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 1,
"AES128": 1,
"AES192": 1,
"AES256": 1,
"HMAC-SHA-1": 4,
"HMAC-SHA-256": 8,
"PKCS 1": 4,
"PKCS#1": 4,
"SHA-1": 16,
"SHA-1, 224": 1,
"SHA-1, 256": 1,
"SHA-2": 3,
"SHA-224": 5,
"SHA-256": 3,
"SHA-3": 6,
"SHA-3-224": 1,
"SHA-3-256": 1,
"SHA2-224": 12,
"SHA2-256": 4,
"SHA2-512": 1,
"SHA3-224": 6
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"Keccak": {
"Keccak": 1
},
"PBKDF": {
"PBKDF": 1,
"PBKDF2": 4
},
"SHA": {
"SHA1": {
"SHA-1": 18
},
"SHA2": {
"SHA-2": 5,
"SHA-224": 5,
"SHA-256": 3
},
"SHA3": {
"SHA-3": 6,
"SHA-3-224": 1,
"SHA-3-256": 1,
"SHA3-224": 6
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"X25519": 10,
"X448": 10
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 18
}
},
"side_channel_analysis": {
"SCA": {
"side-channel": 1,
"timing attacks": 2
}
},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-2": 22,
"FIPS 180-4": 2,
"FIPS 186-4": 13,
"FIPS 197": 7,
"FIPS 198-1": 2,
"FIPS 202": 2
},
"NIST": {
"NIST SP 800-133": 1,
"NIST SP 800-38D": 2,
"SP 800-108": 2,
"SP 800-132": 3,
"SP 800-135": 4,
"SP 800-185": 1,
"SP 800-38A": 2,
"SP 800-38B": 2,
"SP 800-38C": 2,
"SP 800-38D": 2,
"SP 800-38E": 1,
"SP 800-38F": 5,
"SP 800-90": 2,
"SP 800-90A": 3
},
"PKCS": {
"PKCS 1": 2,
"PKCS#1": 2
},
"RFC": {
"RFC 5246": 1,
"RFC 5288": 2,
"RFC 8446": 4
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 35,
"AES-128": 1,
"AES-192": 1,
"AES-256": 1,
"AES128": 1,
"AES192": 1,
"AES256": 1
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 5,
"Triple-DES": 7
}
},
"constructions": {
"MAC": {
"CMAC": 17,
"HMAC": 11,
"HMAC-SHA-256": 4,
"KMAC": 5
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Microsoft": {
"Microsoft": 1,
"Microsoft Corporation": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KTS-RSA#A1938",
"RSA#A1938",
"CVL#A1938",
"AES#A1938",
"KMAC#A1938",
"KTS#A1938",
"KAS-SSC#A1938",
"PBKDF#A1938",
"DRBG#A1938",
"ECDSA#A1938",
"SHA-3#A1938",
"KBKDF#A1938",
"Triple-DES#A1938",
"KDA#A1938",
"DSA#A1938",
"SHS#A1938",
"HMAC#A1938",
"KAS-RSA-SSC#A1938"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A1938"
]
},
"policy_metadata": {
"/Author": "Ryan Thomas",
"/CreationDate": "D:20230405100806-07\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20230405100806-07\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 711943,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr2.pdf",
"https://datatracker.ietf.org/doc/html/rfc8446",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Br2.pdf",
"https://csrc.nist.gov/csrc/media/publications/fips/140/2/final/documents/fips1402.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://datatracker.ietf.org/doc/html/rfc5288",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"http://csrc.nist.gov/groups/STM/cmvp/index.html",
"https://www.openssl.org/docs/manmaster/man1/openssl-fipsinstall.html",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-67r2.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://www.rfc-editor.org/info/rfc3447",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar3.pdf",
"https://csrc.nist.gov/csrc/media/publications/fips/197/final/documents/fips-197.pdf",
"https://csrc.nist.gov/csrc/media/publications/fips/198/1/final/documents/fips-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
"https://nvlpubs.nist.gov/nistpubs/specialpublications/nist.sp.800-38b.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
"https://www.openssl.org/source/openssl-3.0.0.tar.gz",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 38
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "a33a7b612fc9bcdf5de2ca3b08a95268cd8c560bb1659ac1f85a700b602a2569",
"source_hash": "eb97551fb7587bc219345a232ed67ec08324ce1a4b74afdc34d17a1cf87a73c8",
"txt_hash": "17fcdbf7b80f815eb4ebde63f799ef9ccc518a2db38bdc816b19d45a9bb64908"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "No assurance of the minimum strength of generated keys.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/April 2023_010523_0646.pdf",
"date_sunset": null,
"description": "The Trellix FIPS Provider is a software library providing a C-language application program interface (API) for use by applications using OpenSSL that require cryptographic functionality.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Design Assurance: Level 3"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Trellix FIPS Provider",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "3.0.0a",
"tested_conf": [
"Custom Ubuntu Linux 18.04 running on Akamai X8 system with Intel Xeon D1541 with PAA",
"Debian 10 running on Fujitsu CX400 Blade with Intel Xeon Silver 4116 with PAA",
"FreeBSD stable/13 running on NetApp HCI H700E with Intel Xeon E5-2695v4 with PAA",
"macOS 11.5.2 running on Apple i5 Mac Mini with Intel i7 with PAA",
"macOS 11.5.2 running on Apple i5 Mac Mini with Intel i7 without PAA",
"macOS 11.5.2 running on Apple M1 Mac Mini with M1 with PAA",
"macOS 11.5.2 running on Apple M1 Mac Mini with M1 without PAA",
"Oracle Solaris 11.4 running on Oracle SPARC T8-1 with Oracle SPARC M8-1 with PAA",
"PhotonOS 4.0 on ESXi 7.0 running on Dell PowerEdge R740 with Intel Xeon Gold 6230R with PAA",
"Ubuntu Linux 20.04.1 Server running on Dell Inspiron 7573 with Intel i7 with PAA",
"Windows 10 running on Dell Inspiron 7591 with Intel i7 with PAA",
"Windows Server 2019 on ESXi 7.0 running on Dell PowerEdge R740 with Intel Xeon Gold 6230R with PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-04-27",
"lab": "Acumen Security",
"validation_type": "Initial"
}
],
"vendor": "Trellix",
"vendor_url": "http://www.trellix.com"
}
}